Package org.springframework.test.web.servlet

# Interface SmartRequestBuilder

All Superinterfaces:
  `RequestBuilder`

All Known Subinterfaces:
  `ConfigurableSmartRequestBuilder<B>`

All Known Implementing Classes:
  `AbstractMockHttpServletRequestBuilder`, `AbstractMockMultipartHttpServletRequestBuilder`, `MockHttpServletRequestBuilder`, `MockMultipartHttpServletRequestBuilder`, `MockMvcTester.MockMultipartMvcRequestBuilder`, `MockMvcTester.MockMvcRequestBuilder`

public interface SmartRequestBuilder extends RequestBuilder
Extended variant of a `RequestBuilder` that applies its `org.springframework.test.web.servlet.request.RequestPostProcessors` as a separate step from the `RequestBuilder.buildRequest(jakarta.servlet.ServletContext)` method.

Since:
  4.1
Author:
  Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`MockHttpServletRequest`
`postProcessRequest(MockHttpServletRequest request)`
Apply request post-processing.

### Methods inherited from interface org.springframework.test.web.servlet.RequestBuilder

`buildRequest`

## Method Details

### postProcessRequest

MockHttpServletRequest postProcessRequest(MockHttpServletRequest request)
Apply request post-processing. Typically, that means invoking one or more `org.springframework.test.web.servlet.request.RequestPostProcessors`.

Parameters:
  `request` - the request to initialize
Returns:
  the request to use, either the one passed in or a wrapped one